# Table of contents

* [Substreams](README.md)

## Concept & Fundamentals

* [Definition](docs/concepts/definition.md)
* [Comparison](docs/concepts/comparison.md)
* [Modules](docs/concepts/modules.md)

## Getting Started Guide

* [Overview](getting-started-guide/overview.md)
* [Installation](getting-started-guide/installation-requirements.md)
* [Creating your Manifest](docs/getting-started-guide/creating-your-manifest.md)
* [Creating Protobuf Schemas](getting-started-guide/creating-protobuf-schemas.md)
* [Setting Up Handlers](getting-started-guide/setting-up-handlers.md)
* [Writing Module Handlers](getting-started-guide/writing-module-handlers.md)
* [Running Your Substreams](getting-started-guide/running-substreams.md)

## Reference & Specs

* [Manifests](reference-and-specs/manifests.md)
* [Packages](docs/reference/packages.md)
* [Using the CLI](reference-and-specs/using-the-cli.md)
* [Rust APIs](reference-and-specs/rust-api/README.md)
  * [Handler Function Signature](reference-and-specs/rust-api/handler-function-signature.md)
  * [Chain specific APIs](reference-and-specs/rust-api/chain-specific-apis.md)
* [Advanced](docs/advanced/README.md)
  * [Rust Macros](reference-and-specs/advanced/rust-macros.md)
  * [Running the Substreams service locally](docs/advanced/running-locally.md)

## Release notes

* [Change log](changelog.md)
